cascading.flow.local

## Class LocalFlow

- java.lang.Object
- - cascading.flow.BaseFlow<Properties>
  - - cascading.flow.local.LocalFlow

- All Implemented Interfaces:
    Flow<Properties>, UnitOfWork<FlowStats>, ProcessLogger

      public class LocalFlow
      extends BaseFlow<Properties>

  Class LocalFlow is the local mode specific implementation of a `Flow`.

  LocalFlow must be created through a `LocalFlowConnector` instance.

  If classpath paths are provided on the `FlowDef`, the context classloader used to internally urn the current Flow will be swapped out with an URLClassLoader pointing to each element.
  See Also:
    `LocalFlowConnector`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class cascading.flow.BaseFlow

      `BaseFlow.FlowHolder`

  - ### Field Summary

    - ### Fields inherited from class cascading.flow.BaseFlow

      `flowCanonicalHash, flowDescriptor, flowElementGraph, flowStats, flowStepGraph, platformInfo, shutdownHook, sinks, sources, steps, stop, stopJobsOnExit, thread`

    - ### Fields inherited from interface cascading.flow.Flow

      `CASCADING_FLOW_ID`

    - ### Fields inherited from interface cascading.util.ProcessLogger

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalFlow(PlatformInfo platformInfo, Map<Object,Object> properties, Properties config, FlowDef flowDef)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Thread` | `createFlowThread(String threadName)`
    `Properties` | `getConfig()`
    `Map<Object,Object>` | `getConfigAsProperties()`
    `Properties` | `getConfigCopy()`
    `FlowProcess<Properties>` | `getFlowProcess()`
    `protected int` | `getMaxNumParallelSteps()`
    `String` | `getProperty(String key)`
    `protected void` | `initConfig(Map<Object,Object> properties, Properties parentConfig)`
    `protected void` | `internalClean(boolean stop)`
    `protected void` | `internalShutdown()`
    `protected void` | `internalStart()`
    `protected Properties` | `newConfig(Properties defaultConfig)`
    `protected void` | `setConfigProperty(Properties properties, Object key, Object value)`
    `boolean` | `stepsAreLocal()`

    - ### Methods inherited from class cascading.flow.BaseFlow

      `addListener, addPlannerProperties, addSessionProperties, addStepListener, areSinksStale, areSourcesNewer, cleanup, complete, createConfig, createFlowCanonicalHash, createFlowStats, createPrepareFlowStats, deleteCheckpointsIfNotUpdate, deleteCheckpointsIfReplace, deleteSinks, deleteSinksIfNotUpdate, deleteSinksIfReplace, deleteTrapsIfNotUpdate, deleteTrapsIfReplace, fireOnCompleted, fireOnStarting, fireOnStopping, fireOnThrowable, fireOnThrowable, getCascadeID, getCascadingServices, getCheckpointNames, getCheckpoints, getCheckpointsCollection, getClassPath, getClientState, getFieldsFor, getFlowCanonicalHash, getFlowDescriptor, getFlowSession, getFlowSkipStrategy, getFlowStats, getFlowSteps, getFlowStepStrategy, getHolder, getID, getName, getPlannerInfo, getPlatformInfo, getRunID, getSink, getSink, getSinkModified, getSinkNames, getSinks, getSinksCollection, getSource, getSourceNames, getSources, getSourcesCollection, getSpawnStrategy, getStats, getSubmitPriority, getTags, getTotalSliceCPUMilliSeconds, getTrapNames, getTraps, getTrapsCollection, handleExecutorShutdown, hasListeners, hasStepListeners, initFromProperties, initialize, initializeChildStats, initializeNewJobsMap, initSteps, internalStopAllJobs, isDebugEnabled, isInfoEnabled, isSkipFlow, isStopJobsOnExit, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, openSink, openSink, openSource, openSource, openTapForRead, openTapForWrite, openTrap, openTrap, prepare, presentSinkFields, presentSourceFields, registerShutdownHook, removeListener, removeStepListener, resourceExists, retrieveSinkFields, retrieveSourceFields, setCascade, setCheckpoints, setFlowSkipStrategy, setFlowStepGraph, setFlowStepStrategy, setName, setPlannerInfo, setSinks, setSources, setSpawnStrategy, setSubmitPriority, setTraps, start, stop, toString, updateSchemes, writeDOT, writeStepsDOT`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalFlow

          public LocalFlow(PlatformInfo platformInfo,
                   Map<Object,Object> properties,
                   Properties config,
                   FlowDef flowDef)

  - ### Method Detail

    - #### initConfig

          protected void initConfig(Map<Object,Object> properties,
                        Properties parentConfig)

      Specified by:
        `initConfig` in class `BaseFlow<Properties>`

    - #### setConfigProperty

          protected void setConfigProperty(Properties properties,
                               Object key,
                               Object value)

      Specified by:
        `setConfigProperty` in class `BaseFlow<Properties>`

    - #### newConfig

          protected Properties newConfig(Properties defaultConfig)

      Specified by:
        `newConfig` in class `BaseFlow<Properties>`

    - #### getConfig

          @ProcessConfiguration
          public Properties getConfig()

    - #### getConfigCopy

          public Properties getConfigCopy()

    - #### getConfigAsProperties

          public Map<Object,Object> getConfigAsProperties()

    - #### getProperty

          public String getProperty(String key)

    - #### getFlowProcess

          public FlowProcess<Properties> getFlowProcess()

    - #### internalStart

          protected void internalStart()

      Specified by:
        `internalStart` in class `BaseFlow<Properties>`

    - #### createFlowThread

          protected Thread createFlowThread(String threadName)

      Overrides:
        `createFlowThread` in class `BaseFlow<Properties>`

    - #### internalClean

          protected void internalClean(boolean stop)

      Specified by:
        `internalClean` in class `BaseFlow<Properties>`

    - #### stepsAreLocal

          public boolean stepsAreLocal()

    - #### getMaxNumParallelSteps

          protected int getMaxNumParallelSteps()

      Specified by:
        `getMaxNumParallelSteps` in class `BaseFlow<Properties>`

    - #### internalShutdown

          protected void internalShutdown()

      Specified by:
        `internalShutdown` in class `BaseFlow<Properties>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.